com.io7m.jregions.core.parameterized.volumes

## Class PVolumeF.Builder<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.volumes.PVolumeF.Builder<S>

- Enclosing class:
    PVolumeF<S>

      public static final class PVolumeF.Builder<S>
      extends Object

  Builds instances of type `PVolumeF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PVolumeF<S>` | `build()` Builds a new `PVolumeF`.
    `PVolumeF.Builder<S>` | `from(PVolumeFType<S> instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.volumes.PVolumeFType<S>` instance.
    `PVolumeF.Builder<S>` | `from(VolumeValuesFType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesFType` instance.
    `PVolumeF.Builder<S>` | `setMaximumX(float maximumX)` Initializes the value for the `maximumX` attribute.
    `PVolumeF.Builder<S>` | `setMaximumY(float maximumY)` Initializes the value for the `maximumY` attribute.
    `PVolumeF.Builder<S>` | `setMaximumZ(float maximumZ)` Initializes the value for the `maximumZ` attribute.
    `PVolumeF.Builder<S>` | `setMinimumX(float minimumX)` Initializes the value for the `minimumX` attribute.
    `PVolumeF.Builder<S>` | `setMinimumY(float minimumY)` Initializes the value for the `minimumY` attribute.
    `PVolumeF.Builder<S>` | `setMinimumZ(float minimumZ)` Initializes the value for the `minimumZ` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final PVolumeF.Builder<S> from(PVolumeFType<S> instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.volumes.PVolumeFType<S>` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final PVolumeF.Builder<S> from(VolumeValuesFType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesFType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumX

          public final PVolumeF.Builder<S> setMinimumX(float minimumX)

      Initializes the value for the `minimumX` attribute.
      Parameters:
        `minimumX` - The value for minimumX
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumX

          public final PVolumeF.Builder<S> setMaximumX(float maximumX)

      Initializes the value for the `maximumX` attribute.
      Parameters:
        `maximumX` - The value for maximumX
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumY

          public final PVolumeF.Builder<S> setMinimumY(float minimumY)

      Initializes the value for the `minimumY` attribute.
      Parameters:
        `minimumY` - The value for minimumY
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumY

          public final PVolumeF.Builder<S> setMaximumY(float maximumY)

      Initializes the value for the `maximumY` attribute.
      Parameters:
        `maximumY` - The value for maximumY
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumZ

          public final PVolumeF.Builder<S> setMinimumZ(float minimumZ)

      Initializes the value for the `minimumZ` attribute.
      Parameters:
        `minimumZ` - The value for minimumZ
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumZ

          public final PVolumeF.Builder<S> setMaximumZ(float maximumZ)

      Initializes the value for the `maximumZ` attribute.
      Parameters:
        `maximumZ` - The value for maximumZ
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public PVolumeF<S> build()

      Builds a new `PVolumeF`.
      Returns:
        An immutable instance of PVolumeF
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com